fly-dm не стартует после обновления

Не устали ли Вы от запущенности CE ?

  • Давно ушел от него на SE

    Голосов: 1 100.0%
  • Еще пытаюсь выгрести против течения

    Голосов: 0 0.0%
  • Я заложник в средней школе, понадеялись на астрал, па-ма-ги-те

    Голосов: 0 0.0%
  • Где Windows, Bill ?

    Голосов: 0 0.0%

  • Всего проголосовало
    1
  • Опрос закрыт .

vvbirkin

New member
Сообщения
27
#22
Это метапакет ?
Вот это - помощь !
Thanks!
P.S.
Переустановка невозможна. Он нескачивается
Это дословный ответ.
Аминь
 
Последнее редактирование:

vvbirkin

New member
Сообщения
27
#23
Сделал apt remove fly-all-main/optional/qml
Потом install
Хрен
 
Последнее редактирование:

Montfer

New member
Сообщения
2 212
#24
видимо, надо тебе разбираться в первую очередь с доступностью репозитория
 

vvbirkin

New member
Сообщения
27
#25
видимо, надо тебе разбираться в первую очередь с доступностью репозитория
попробуй у себя, голубчик, переустановить хотя бы один метапакет.
"Мета", конечно в списке иноагентов, но ни один метапакет и не должен иметь исходников, а потоМУ и не скачивается.
Фсё, скачал на рутрекере ALSE 1.7.2 !
Common Edition к чертям, да здравствуют "не только лишь все но и некоторые".
Фперёд
 

vvbirkin

New member
Сообщения
27
#27
Твой ответ слишком общий, репозитарии всем доступны, метапакеты никогда не скачивают ничего.
Советы зато всегда сыпятся, не всегда толковые, впрочем ...
 

eugene_

New member
Сообщения
15
#28
Благодарю за совет. Так и сделаю.
Ах какой был АстраЛинукс - настоящий полковник
не советую, т.к. даже при выборе версии с минимальной защитой чтобы прицепить флешку нужно вводить пароль...в общем перебор защиты для обычного пользователя...
 

Карл

New member
Сообщения
290
#29
сегодня разбирался с подобным в SE 1.7
1. чистая 1.7
2. добавил репы на обновления (https://wiki.astralinux.ru/pages/viewpage.action?pageId=158598882)
3. начал процесс, заругался на сертификаты, подкинул их из debian
4. начал процесс ...
5. завершился, перегрузился
6. ввожу пароль, а не входит, странно ...
7. зашел по ssh - вижу: fly-wm: symbol lookup error: fly-wm: undefined symbol: _Z12getAstraModev
8. обнаружилось, что по команде apt-cache show libflycore - выдает что установлены две версии 2.11.12+ci1 и 2.11.6+ci2
10. strings /usr/lib/x86_64-linux-gnu/libflycore.so.1.0.0|grep getAstra выдает _Z12getAstraModePb т.е. это не _Z12getAstraModev
11. помогло sudo apt-get install --reinstall fly-wm
 

vvbirkin

New member
Сообщения
27
#30
Поставлен эксперимент на читую систему после установки с orel-current.iso и apt-get update :

# apt-get install --no-install-recommends fly-dm
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Рекомендуемые пакеты:
x-session-manager | x-window-manager fly-mac-dialog
Пакеты, которые будут обновлены:
fly-dm
обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 401 пакетов не обновлено.
Необходимо скачать 125 kБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 12,3 kB.
Пол:1 https://download.astralinux.ru/astra/stable/orel/repository orel/non-free amd64 fly-dm amd64 2.11.21+ci1 [125 kB]
Получено 125 kБ за 0с (168 kБ/c)
Предварительная настройка пакетов ...
(Чтение базы данных … на данный момент установлено 216464 файла и каталога.)
Подготовка к распаковке …/fly-dm_2.11.21+ci1_amd64.deb …
Распаковывается fly-dm (2.11.21+ci1) на замену (2.11.12+ci1) …
Обрабатываются триггеры для systemd (232-25+deb9u12astra.ce9) …
Настраивается пакет fly-dm (2.11.21+ci1) …
addgroup: Группа «fly-dm» уже существует и является системной. Завершение работы.


Далее при рестарте fly-dm уже не поднялся.
П**дец котенку.

Я хочу восстановить 2.11.12, но как это сделать - в репе уже 2.11.21 (глючный)
а для двд не могу найти как прописать его репку, хотя подмонтировал вручную в /mnt.
 

Вложения

  • 8.6 КБ Просмотры: 26
Последнее редактирование:

Карл

New member
Сообщения
290
#31
1. я проверял на SE, поэтому на CE может быть другое поведение
2. возможно надо делать dist-upgrade (хотя это не очевидно)
3. при работа с астрой надо сохранять терпение т.к. это никогда не кончится )
4. запусти fly-wm в консоли (или из ssh сессии) - он может показать что ему не нравться
 

vvbirkin

New member
Сообщения
27
#32
Нашел на двд (где-то в /pool/) fly-dm-2.11.12*.deb
и установил его dpki -i
ГРАФИКА стартовала !
Ставлю dist-upgrade, пакет сохранил старый.
Нет слов, и присоединяйтесь к опросу в шапке - я пока выгребаю против ветра ...
 

vvbirkin

New member
Сообщения
27
#33
С прискорбием сообщаю о смерти члена политбюро товарища Коммон Эдишена после тяжелой и продолжительной болезни обновления текущей версии.
Злые вороги подкинули еще несколько смертельных пакетов кроме уже приснопамятного fly-dm-*21.
Спи спокойно, дагагой таварищ, мы отомстим за тебя !
No passaran, обновления не пройдут !!
 

oko

New member
Сообщения
1 187
#34
to vvbirkin
Ставил на днях на поиграццо orel-2.12.45.5-23.07.2022_07.53 - все там стартует...
Если нашли багу и разобрались, от какого пакета она зависит, то, imho, правильнее в support РБТ написать, чем очередной пост на форум...
 

vvbirkin

New member
Сообщения
27
#35
Так вот, с торрента установил ALSE, все хорошо
Версия fly-dm именно *21, как у почившего в бозе после апдейта ALSE
И мне дела нет какой там еще пакет накрылся.
Буду делать Парагоном образ партиции перед обновлением, ну и таки апдейт4SE
welcome
P.S.
Если переезд равносилен пожару, то и update ему равносилен ...
P.P.S.
У меня смутные подозрения, что лицензию у меня попросят в связи с уровнем безопасности ...
Вопрос : SE требует лицензию ?
 

oko

New member
Сообщения
1 187
#36
to vvbirkin
ALSE требует денег. Лицензия на бумаге, в систему никуда не ставится. Но вычислить вас при первом же подключении к репозиторию - дело техники. Во всяком случае, я бы так делал. А далее некислый штраф или срок на волне текущей ситуации в стране (вдруг РБТ свой репозиторий к ОКИИ отнесли - это сейчас модно, ага)...
Мое imho про пиратство ALSE, primo, было на правах imho, и, secundo, не должно служить modus operandi без полноценной оценки последствий...
И еще раз: в ALCE 2.12.45 нормально работает Fly. Так что можете вернуться на ту же систему, ничего не нарушая. Раз уж все равно ее переставляете, а не разбираетесь с ошибками...
 

oko

New member
Сообщения
1 187
#38
to Карл
Не юрист, но по всем признакам, если юзаете ALSE, предварительно не оплатив лицуху или не договорившись о тестировании, - получите претензию о нарушении условий лицензирования со всеми вытекающими...
 

vvbirkin

New member
Сообщения
27
#40
lsb_release -a :
Distributor ID: AstraLinux
Description: Astra Linux 1.7 x86-64
Release: 1.7_x86-64
Codename: 1.7_x86-64

to vvbirkin
И еще раз: в ALCE 2.12.45 нормально работает Fly.
Еще раз повтрою, увы - не работает. Ошибка сервиса в ALCE осталась.
Воля ваша верить себе или кому другому, я не могу проверить ваши выкладки, а вы мои.
Посудили-порядили, разошлись ...
P.S. Oko, вы как-то лоббируете сторону РБТ, как минимум неравнодушны к их усилиям,
как бы оне не выглядели со стороны-то.